Bug 251422 - comms/libmodbus: Allow build without manpages
Summary: comms/libmodbus: Allow build without manpages
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Muhammad Moinur Rahman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-27 08:37 UTC by Christian Ullrich
Modified: 2022-09-27 13:56 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (bsam)


Attachments
Patch (6.33 KB, text/plain)
2020-11-27 08:37 UTC, Christian Ullrich
chris: maintainer-approval? (bsam)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Ullrich 2020-11-27 08:37:56 UTC
Created attachment 220028 [details]
Patch

comms/libmodbus builds manual pages by default, which involves in this case a host of dependencies including an entire Docbook toolchain with Python and Perl.

This patch makes the man page build conditional on the MANPAGES option. The option is enabled by default for backward compatibility.
Comment 1 Rene Ladan freebsd_committer 2022-06-06 11:21:19 UTC
Maintainer reset.
Comment 2 Daniel Engberg freebsd_committer 2022-08-09 07:31:03 UTC
Assign to current maintainer
Comment 3 Daniel Engberg freebsd_committer 2022-09-27 10:15:34 UTC
bofh, friendly ping
Comment 4 commit-hook freebsd_committer 2022-09-27 13:27:15 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e77794c03ab0f2f7c187b4856da2c002dc629bd1

commit e77794c03ab0f2f7c187b4856da2c002dc629bd1
Author:     Muhammad Moinur Rahman <bofh@FreeBSD.org>
AuthorDate: 2022-09-27 13:25:58 +0000
Commit:     Muhammad Moinur Rahman <bofh@FreeBSD.org>
CommitDate: 2022-09-27 13:27:01 +0000

    comms/libmodbus: Optionize MANPAGES

    PR:             251422
    Reported by:    chris@chrullrich.net

 comms/libmodbus/Makefile  |  11 ++--
 comms/libmodbus/pkg-plist | 130 +++++++++++++++++++++++-----------------------
 2 files changed, 72 insertions(+), 69 deletions(-)
Comment 5 Muhammad Moinur Rahman freebsd_committer 2022-09-27 13:56:49 UTC
Committed with changes